=== test/find_rust/CMakeLists.txt ===
corrosion_tests_add_test(find_rust "")
corrosion_tests_add_test(rustup_proxy "")
