=== test/nostd/CMakeLists.txt ===
corrosion_tests_add_test(nostd "")
