=== debian/changelog ===
corrosion (0.4.7-1) unstable; urgency=medium

  * Initial release (Closes: #1063612)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Feb 2024 02:36:29 +0530
