=== debian/control ===
Source: corrosion
Maintainer: Nilesh Patra <nilesh@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               cargo,
               rustc,
               cbindgen <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/corrosion
Vcs-Git: https://salsa.debian.org/debian/corrosion.git
Homepage: https://corrosion-rs.github.io/corrosion/
Rules-Requires-Root: no

Package: corrosion
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tool for integrating rust with an existing CMake project
 Corrosion, formerly known as cmake-cargo, is a tool for integrating Rust
 into an existing CMake project.
 .
 Corrosion can automatically import executables, static libraries,
 and dynamic libraries from a workspace or package manifest
 (Cargo.toml file).
