=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         quilt,
         cmake,
         rustc,
         cargo,
         cbindgen,
         build-essential,
Restrictions: allow-stderr
