=== test/custom_profiles/custom_profiles/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 if(CORROSION_TEST_USE_TARGET_SPECIFIC_OVERRIDE)
     # Select "wrong" profile here on purpose.
     corrosion_import_crate(MANIFEST_PATH rust/Cargo.toml PROFILE dev)
-    set_target_properties(custom-profiles-lib
+    set_target_properties(custom_profiles_lib
         PROPERTIES
         INTERFACE_CORROSION_CARGO_PROFILE "${custom_profile}"
     )
@@ -17,4 +17,4 @@
 endif()
 
 add_executable(custom-profile-exe main.cpp)
-target_link_libraries(custom-profile-exe PUBLIC custom-profiles-lib)
+target_link_libraries(custom-profile-exe PUBLIC custom_profiles_lib)
