=== debian/changelog ===
corrosion (0.5.0-1ubuntu1) plucky; urgency=medium

  * Skip the cargo_config_rustflags_build test for now.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Mar 2025 00:10:14 -0600

corrosion (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Jul 2024 19:37:04 +0530
