=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: corrosion
-Maintainer: Nilesh Patra <nilesh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nilesh Patra <nilesh@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -7,7 +8,7 @@
                cargo,
                rustc,
                cbindgen <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/corrosion
 Vcs-Git: https://salsa.debian.org/debian/corrosion.git
 Homepage: https://corrosion-rs.github.io/corrosion/
