=== debian/changelog ===
corrosion (0.5.2-4) unstable; urgency=medium

  * QA upload.
  * Apply Multi-Arch: hint
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, no change needed
  * autopkgtest do not need "quilt"

 -- Alexandre Detiste <tchet@debian.org>  Fri, 27 Feb 2026 16:45:13 +0100

corrosion (0.5.2-3) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * d/control: Drop "Priority: optional" (default).

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Dec 2025 16:15:00 +0100

corrosion (0.5.2-2) unstable; urgency=medium

  * Team Upload.
  * Drop Redundant "Rules-Requires-Root: no"
  * Move d/watch to version 5
  * Remove myself from maintainer; Add Debian QA Group

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 15:54:18 +0530

corrosion (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 13 Aug 2025 21:14:51 +0530
