=== debian/control ===
Source: corrosion
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Build-Depends:
 debhelper-compat (= 13),
 cargo,
 cbindgen <!nocheck>,
 cmake,
 rustc,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/corrosion
Vcs-Git: https://salsa.debian.org/debian/corrosion.git
Homepage: https://corrosion-rs.github.io/corrosion/

Package: corrosion
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tool for integrating rust with an existing CMake project
 Corrosion, formerly known as cmake-cargo, is a tool for integrating Rust
 into an existing CMake project.
 .
 Corrosion can automatically import executables, static libraries,
 and dynamic libraries from a workspace or package manifest
 (Cargo.toml file).
