=== debian/tests/control ===
Tests:
 run-unit-test,
Depends:
 build-essential,
 cargo,
 cbindgen,
 cmake,
 rustc,
 @,
Restrictions:
 allow-stderr,
